@@ -1854,19 +1857,19 @@
          0: aload_0       
          1: aload_1       
          2: iload_2       
-         3: invokevirtual #59                 // Method schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
+         3: invokevirtual #59                 // Method hudson/model/Queue.schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
          6: ifnull        13
          9: iconst_1      
         10: goto          14
         13: iconst_0      
         14: ireturn       
-      LineNumberTable:
-        line 473: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      15     0  this   Lhudson/model/Queue;
                0      15     1     p   Lhudson/model/AbstractProject;
                0      15     2 quietPeriod   I
+      LineNumberTable:
+        line 473: 0
       StackMapTable: number_of_entries = 2
            frame_type = 13 /* same */
            frame_type = 64 /* same_locals_1_stack_item */
@@ -1882,11 +1885,9 @@
          1: aload_1       
          2: iload_2       
          3: aload_3       
-         4: invokevirtual #109                // Method schedule2:(Lhudson/model/Queue$Task;ILjava/util/List;)Lhudson/model/queue/ScheduleResult;
+         4: invokevirtual #109                // Method hudson/model/Queue.schedule2:(Lhudson/model/Queue$Task;ILjava/util/List;)Lhudson/model/queue/ScheduleResult;
          7: invokevirtual #110                // Method hudson/model/queue/ScheduleResult.getCreateItem:()Lhudson/model/Queue$WaitingItem;
         10: areturn       
-      LineNumberTable:
-        line 481: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      11     0  this   Lhudson/model/Queue;
@@ -1896,6 +1897,8 @@
       LocalVariableTypeTable:
         Start  Length  Slot  Name   Signature
             0      11     3 actions   Ljava/util/List&lt;Lhudson/model/Action;&gt;;
+      LineNumberTable:
+        line 481: 0
     Deprecated: true
     Signature: #426                         // (Lhudson/model/Queue$Task;ILjava/util/List&lt;Lhudson/model/Action;&gt;;)Lhudson/model/Queue$WaitingItem;
 
@@ -1909,7 +1912,7 @@
          5: invokespecial #98                 // Method java/util/ArrayList."&lt;init&gt;":(Ljava/util/Collection;)V
          8: astore_3      
          9: aload_3       
-        10: invokeinterface #111,  1          // InterfaceMethod java/util/List.iterator:()Ljava/util/Iterator;
+        10: invokeinterface #55,  1           // InterfaceMethod java/util/List.iterator:()Ljava/util/Iterator;
         15: astore        4
         17: aload         4
         19: invokeinterface #56,  1           // InterfaceMethod java/util/Iterator.hasNext:()Z
@@ -1945,19 +1948,8 @@
        102: aload_1       
        103: iload_2       
        104: aload_3       
-       105: invokespecial #119                // Method scheduleInternal:(Lhudson/model/Queue$Task;ILjava/util/List;)Lhudson/model/queue/ScheduleResult;
+       105: invokespecial #119                // Method hudson/model/Queue.scheduleInternal:(Lhudson/model/Queue$Task;ILjava/util/List;)Lhudson/model/queue/ScheduleResult;
        108: areturn       
-      LineNumberTable:
-        line 507: 0
-        line 508: 9
-        line 509: 27
-        line 510: 39
-        line 511: 51
-        line 513: 54
-        line 514: 84
-        line 515: 94
-        line 514: 98
-        line 517: 101
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
               39      12     5     a   Lhudson/model/Action;
@@ -1972,6 +1964,17 @@
         Start  Length  Slot  Name   Signature
            17      37     4   itr   Ljava/util/Iterator&lt;Lhudson/model/Action;&gt;;
             0     109     3 actions   Ljava/util/List&lt;Lhudson/model/Action;&gt;;
+      LineNumberTable:
+        line 507: 0
+        line 508: 9
+        line 509: 27
+        line 510: 39
+        line 511: 51
+        line 513: 54
+        line 514: 84
+        line 515: 94
+        line 514: 98
+        line 517: 101
       StackMapTable: number_of_entries = 6
            frame_type = 252 /* append */
              offset_delta = 17
@@ -1997,19 +2000,19 @@
          0: aload_0       
          1: aload_1       
          2: iload_2       
-         3: invokevirtual #59                 // Method schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
+         3: invokevirtual #59                 // Method hudson/model/Queue.schedule:(Lhudson/model/Queue$Task;I)Lhudson/model/Queue$WaitingItem;
          6: ifnull        13
          9: iconst_1      
         10: goto          14
         13: iconst_0      
         14: ireturn       
-      LineNumberTable:
-        line 605: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      15     0  this   Lhudson/model/Queue;
                0      15     1     p   Lhudson/model/Queue$Task;
                0      15     2 quietPeriod   I
+      LineNumberTable:
+        line 605: 0
       StackMapTable: number_of_entries = 2
            frame_type = 13 /* same */
            frame_type = 64 /* same_locals_1_stack_item */
@@ -2026,15 +2029,15 @@
          2: iload_2       
          3: iconst_0      
          4: anewarray     #112                // class hudson/model/Action
-         7: invokevirtual #146                // Method schedule:(Lhudson/model/Queue$Task;I[Lhudson/model/Action;)Lhudson/model/Queue$WaitingItem;
+         7: invokevirtual #146                // Method hudson/model/Queue.schedule:(Lhudson/model/Queue$Task;I[Lhudson/model/Action;)Lhudson/model/Queue$WaitingItem;
         10: areturn       
-      LineNumberTable:
-        line 609: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      11     0  this   Lhudson/model/Queue;
                0      11     1     p   Lhudson/model/Queue$Task;
                0      11     2 quietPeriod   I
+      LineNumberTable:
+        line 609: 0
     RuntimeVisibleAnnotations:
       0: #419()
 
@@ -2046,20 +2049,20 @@
          1: aload_1       
          2: iload_2       
          3: aload_3       
-         4: invokevirtual #146                // Method schedule:(Lhudson/model/Queue$Task;I[Lhudson/model/Action;)Lhudson/model/Queue$WaitingItem;
+         4: invokevirtual #146                // Method hudson/model/Queue.schedule:(Lhudson/model/Queue$Task;I[Lhudson/model/Action;)Lhudson/model/Queue$WaitingItem;
          7: ifnull        14
         10: iconst_1      
         11: goto          15
         14: iconst_0      
         15: ireturn       
-      LineNumberTable:
-        line 617: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      16     0  this   Lhudson/model/Queue;
                0      16     1     p   Lhudson/model/Queue$Task;
                0      16     2 quietPeriod   I
                0      16     3 actions   [Lhudson/model/Action;
+      LineNumberTable:
+        line 617: 0
       StackMapTable: number_of_entries = 2
            frame_type = 14 /* same */
            frame_type = 64 /* same_locals_1_stack_item */
@@ -2075,17 +2078,17 @@
          1: aload_1       
          2: iload_2       
          3: aload_3       
-         4: invokevirtual #147                // Method schedule2:(Lhudson/model/Queue$Task;I[Lhudson/model/Action;)Lhudson/model/queue/ScheduleResult;
+         4: invokevirtual #147                // Method hudson/model/Queue.schedule2:(Lhudson/model/Queue$Task;I[Lhudson/model/Action;)Lhudson/model/queue/ScheduleResult;
          7: invokevirtual #110                // Method hudson/model/queue/ScheduleResult.getCreateItem:()Lhudson/model/Queue$WaitingItem;
         10: areturn       
-      LineNumberTable:
-        line 624: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      11     0  this   Lhudson/model/Queue;
                0      11     1     p   Lhudson/model/Queue$Task;
                0      11     2 quietPeriod   I
                0      11     3 actions   [Lhudson/model/Action;
+      LineNumberTable:
+        line 624: 0
     RuntimeVisibleAnnotations:
       0: #419()
 
@@ -2098,16 +2101,16 @@
          2: iload_2       
          3: aload_3       
          4: invokestatic  #148                // Method java/util/Arrays.asList:([Ljava/lang/Object;)Ljava/util/List;
-         7: invokevirtual #109                // Method schedule2:(Lhudson/model/Queue$Task;ILjava/util/List;)Lhudson/model/queue/ScheduleResult;
+         7: invokevirtual #109                // Method hudson/model/Queue.schedule2:(Lhudson/model/Queue$Task;ILjava/util/List;)Lhudson/model/queue/ScheduleResult;
         10: areturn       
-      LineNumberTable:
-        line 631: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      11     0  this   Lhudson/model/Queue;
                0      11     1     p   Lhudson/model/Queue$Task;
                0      11     2 quietPeriod   I
                0      11     3 actions   [Lhudson/model/Action;
+      LineNumberTable:
+        line 631: 0
     RuntimeVisibleAnnotations:
       0: #436()
 
@@ -2115,13 +2118,13 @@
     flags: ACC_PUBLIC, ACC_SYNCHRONIZED
     Code:
       stack=4, locals=4, args_size=2
-         0: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+         0: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
          3: getstatic     #131                // Field java/util/logging/Level.FINE:Ljava/util/logging/Level;
          6: ldc           #149                // String Cancelling {0}
          8: aload_1       
          9: invokevirtual #133                // Method java/util/logging/Logger.log:(Ljava/util/logging/Level;Ljava/lang/String;Ljava/lang/Object;)V
         12: aload_0       
-        13: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        13: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         16: invokeinterface #150,  1          // InterfaceMethod java/util/Set.iterator:()Ljava/util/Iterator;
         21: astore_2      
         22: aload_2       
@@ -2142,7 +2145,7 @@
         57: ireturn       
         58: goto          22
         61: aload_0       
-        62: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        62: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         65: aload_1       
         66: invokevirtual #153                // Method hudson/model/Queue$ItemList.cancel:(Lhudson/model/Queue$Task;)Lhudson/model/Queue$Item;
         69: ifnull        76
@@ -2150,7 +2153,7 @@
         73: goto          77
         76: iconst_0      
         77: aload_0       
-        78: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        78: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         81: aload_1       
         82: invokevirtual #153                // Method hudson/model/Queue$ItemList.cancel:(Lhudson/model/Queue$Task;)Lhudson/model/Queue$Item;
         85: ifnull        92
@@ -2159,6 +2162,12 @@
         92: iconst_0      
         93: ior           
         94: ireturn       
+      LocalVariableTable:
+        Start  Length  Slot  Name   Signature
+              41      17     3  item   Lhudson/model/Queue$WaitingItem;
+              22      39     2    i$   Ljava/util/Iterator;
+               0      95     0  this   Lhudson/model/Queue;
+               0      95     1     p   Lhudson/model/Queue$Task;
       LineNumberTable:
         line 641: 0
         line 642: 12
@@ -2166,12 +2175,6 @@
         line 644: 52
         line 646: 58
         line 648: 61
-      LocalVariableTable:
-        Start  Length  Slot  Name   Signature
-              41      17     3  item   Lhudson/model/Queue$WaitingItem;
-              22      39     2    i$   Ljava/util/Iterator;
-               0      95     0  this   Lhudson/model/Queue;
-               0      95     1     p   Lhudson/model/Queue$Task;
       StackMapTable: number_of_entries = 7
            frame_type = 252 /* append */
              offset_delta = 22
@@ -2194,7 +2197,7 @@
     flags: ACC_PUBLIC, ACC_SYNCHRONIZED
     Code:
       stack=7, locals=4, args_size=2
-         0: getstatic     #4                  // Field LOGGER:Ljava/util/logging/Logger;
+         0: getstatic     #4                  // Field hudson/model/Queue.LOGGER:Ljava/util/logging/Logger;
          3: getstatic     #131                // Field java/util/logging/Level.FINE:Ljava/util/logging/Level;
          6: ldc           #154                // String Cancelling {0} item#{1}
          8: iconst_2      
@@ -2225,18 +2228,18 @@
         49: invokevirtual #161                // Method hudson/model/Queue$LeftItem.enter:(Lhudson/model/Queue;)V
         52: iload_2       
         53: ireturn       
-      LineNumberTable:
-        line 652: 0
-        line 653: 32
-        line 655: 38
-        line 656: 47
-        line 658: 52
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      54     0  this   Lhudson/model/Queue;
                0      54     1  item   Lhudson/model/Queue$Item;
               38      16     2     r   Z
               47       7     3    li   Lhudson/model/Queue$LeftItem;
+      LineNumberTable:
+        line 652: 0
+        line 653: 32
+        line 655: 38
+        line 656: 47
+        line 658: 52
 
   public org.kohsuke.stapler.HttpResponse doCancelItem(int) throws java.io.IOException, javax.servlet.ServletException;
     flags: ACC_PUBLIC
@@ -2244,26 +2247,26 @@
       stack=2, locals=3, args_size=2
          0: aload_0       
          1: iload_1       
-         2: invokevirtual #162                // Method getItem:(I)Lhudson/model/Queue$Item;
+         2: invokevirtual #162                // Method hudson/model/Queue.getItem:(I)Lhudson/model/Queue$Item;
          5: astore_2      
          6: aload_2       
          7: ifnull        16
         10: aload_0       
         11: aload_2       
-        12: invokevirtual #163                // Method cancel:(Lhudson/model/Queue$Item;)Z
+        12: invokevirtual #163                // Method hudson/model/Queue.cancel:(Lhudson/model/Queue$Item;)Z
         15: pop           
         16: invokestatic  #164                // Method org/kohsuke/stapler/HttpResponses.forwardToPreviousPage:()Lorg/kohsuke/stapler/HttpResponses$HttpResponseException;
         19: areturn       
-      LineNumberTable:
-        line 666: 0
-        line 667: 6
-        line 668: 10
-        line 670: 16
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      20     0  this   Lhudson/model/Queue;
                0      20     1    id   I
                6      14     2  item   Lhudson/model/Queue$Item;
+      LineNumberTable:
+        line 666: 0
+        line 667: 6
+        line 668: 10
+        line 670: 16
       StackMapTable: number_of_entries = 1
            frame_type = 252 /* append */
              offset_delta = 16
@@ -2282,30 +2285,30 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #5                  // Field waitingList:Ljava/util/Set;
+         1: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
          4: invokeinterface #165,  1          // InterfaceMethod java/util/Set.isEmpty:()Z
          9: ifeq          46
         12: aload_0       
-        13: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        13: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         16: invokevirtual #166                // Method hudson/model/Queue$ItemList.isEmpty:()Z
         19: ifeq          46
         22: aload_0       
-        23: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        23: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         26: invokevirtual #166                // Method hudson/model/Queue$ItemList.isEmpty:()Z
         29: ifeq          46
         32: aload_0       
-        33: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        33: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         36: invokevirtual #166                // Method hudson/model/Queue$ItemList.isEmpty:()Z
         39: ifeq          46
         42: iconst_1      
         43: goto          47
         46: iconst_0      
         47: ireturn       
-      LineNumberTable:
-        line 674: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      48     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 674: 0
       StackMapTable: number_of_entries = 2
            frame_type = 46 /* same */
            frame_type = 64 /* same_locals_1_stack_item */
@@ -2317,33 +2320,33 @@
     Code:
       stack=3, locals=5, args_size=1
          0: aload_0       
-         1: getfield      #5                  // Field waitingList:Ljava/util/Set;
+         1: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
          4: invokeinterface #168,  1          // InterfaceMethod java/util/Set.size:()I
          9: aload_0       
-        10: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        10: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         13: invokevirtual #169                // Method hudson/model/Queue$ItemList.size:()I
         16: iadd          
         17: aload_0       
-        18: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        18: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         21: invokevirtual #169                // Method hudson/model/Queue$ItemList.size:()I
         24: iadd          
         25: aload_0       
-        26: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        26: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         29: invokevirtual #169                // Method hudson/model/Queue$ItemList.size:()I
         32: iadd          
         33: anewarray     #60                 // class hudson/model/Queue$Item
         36: astore_1      
         37: aload_0       
-        38: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        38: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         41: aload_1       
         42: invokeinterface #170,  2          // InterfaceMethod java/util/Set.toArray:([Ljava/lang/Object;)[Ljava/lang/Object;
         47: pop           
         48: aload_0       
-        49: getfield      #5                  // Field waitingList:Ljava/util/Set;
+        49: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
         52: invokeinterface #168,  1          // InterfaceMethod java/util/Set.size:()I
         57: istore_2      
         58: aload_0       
-        59: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        59: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         62: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
         65: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
         68: astore_3      
@@ -2361,7 +2364,7 @@
         96: aastore       
         97: goto          69
        100: aload_0       
-       101: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+       101: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
        104: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
        107: invokestatic  #173                // Method hudson/util/Iterators.reverse:(Ljava/util/List;)Ljava/lang/Iterable;
        110: invokeinterface #174,  1          // InterfaceMethod java/lang/Iterable.iterator:()Ljava/util/Iterator;
@@ -2380,7 +2383,7 @@
        143: aastore       
        144: goto          116
        147: aload_0       
-       148: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+       148: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
        151: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
        154: invokestatic  #173                // Method hudson/util/Iterators.reverse:(Ljava/util/List;)Ljava/lang/Iterable;
        157: invokeinterface #174,  1          // InterfaceMethod java/lang/Iterable.iterator:()Ljava/util/Iterator;
@@ -2400,17 +2403,6 @@
        191: goto          163
        194: aload_1       
        195: areturn       
-      LineNumberTable:
-        line 689: 0
-        line 690: 37
-        line 691: 48
-        line 692: 58
-        line 693: 89
-        line 694: 100
-        line 695: 136
-        line 696: 147
-        line 697: 183
-        line 698: 194
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
               89       8     4     p   Lhudson/model/Queue$BlockedItem;
@@ -2422,6 +2414,17 @@
                0     196     0  this   Lhudson/model/Queue;
               37     159     1     r   [Lhudson/model/Queue$Item;
               58     138     2   idx   I
+      LineNumberTable:
+        line 689: 0
+        line 690: 37
+        line 691: 48
+        line 692: 58
+        line 693: 89
+        line 694: 100
+        line 695: 136
+        line 696: 147
+        line 697: 183
+        line 698: 194
       StackMapTable: number_of_entries = 6
            frame_type = 254 /* append */
              offset_delta = 69
@@ -2447,14 +2450,14 @@
     Code:
       stack=1, locals=1, args_size=1
          0: aload_0       
-         1: getfield      #20                 // Field itemsView:Lhudson/model/Queue$CachedItemList;
+         1: getfield      #20                 // Field hudson/model/Queue.itemsView:Lhudson/model/Queue$CachedItemList;
          4: invokevirtual #175                // Method hudson/model/Queue$CachedItemList.get:()Ljava/util/List;
          7: areturn       
-      LineNumberTable:
-        line 719: 0
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0       8     0  this   Lhudson/model/Queue;
+      LineNumberTable:
+        line 719: 0
     Signature: #487                         // ()Ljava/util/List&lt;Lhudson/model/Queue$Item;&gt;;
 
   public synchronized hudson.model.Queue$Item getItem(int);
@@ -2462,7 +2465,7 @@
     Code:
       stack=2, locals=4, args_size=2
          0: aload_0       
-         1: getfield      #5                  // Field waitingList:Ljava/util/Set;
+         1: getfield      #5                  // Field hudson/model/Queue.waitingList:Ljava/util/Set;
          4: invokeinterface #150,  1          // InterfaceMethod java/util/Set.iterator:()Ljava/util/Iterator;
          9: astore_2      
         10: aload_2       
@@ -2480,7 +2483,7 @@
         38: areturn       
         39: goto          10
         42: aload_0       
-        43: getfield      #3                  // Field blockedProjects:Lhudson/model/Queue$ItemList;
+        43: getfield      #3                  // Field hudson/model/Queue.blockedProjects:Lhudson/model/Queue$ItemList;
         46: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
         49: astore_2      
         50: aload_2       
@@ -2498,7 +2501,7 @@
         78: areturn       
         79: goto          50
         82: aload_0       
-        83: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        83: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         86: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
         89: astore_2      
         90: aload_2       
@@ -2516,7 +2519,7 @@
        118: areturn       
        119: goto          90
        122: aload_0       
-       123: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+       123: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
        126: invokevirtual #172                // Method hudson/model/Queue$ItemList.iterator:()Ljava/util/Iterator;
        129: astore_2      
        130: aload_2       
@@ -2534,18 +2537,12 @@
        158: areturn       
        159: goto          130
        162: aload_0       
-       163: getfield      #1                  // Field leftItems:Lcom/google/common/cache/Cache;
+       163: getfield      #1                  // Field hudson/model/Queue.leftItems:Lcom/google/common/cache/Cache;
        166: iload_1       
        167: invokestatic  #156                // Method java/lang/Integer.valueOf:(I)Ljava/lang/Integer;
        170: invokeinterface #176,  2          // InterfaceMethod com/google/common/cache/Cache.getIfPresent:(Ljava/lang/Object;)Ljava/lang/Object;
        175: checkcast     #60                 // class hudson/model/Queue$Item
        178: areturn       
-      LineNumberTable:
-        line 723: 0
-        line 724: 42
-        line 725: 82
-        line 726: 122
-        line 728: 162
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
               29      10     3  item   Lhudson/model/Queue$Item;
@@ -2558,6 +2555,12 @@
              130      32     2    i$   Ljava/util/Iterator;
                0     179     0  this   Lhudson/model/Queue;
                0     179     1    id   I
+      LineNumberTable:
+        line 723: 0
+        line 724: 42
+        line 725: 82
+        line 726: 122
+        line 728: 162
       StackMapTable: number_of_entries = 12
            frame_type = 252 /* append */
              offset_delta = 10
@@ -2596,22 +2599,17 @@
          8: aload_0       
          9: aload_1       
         10: aload_0       
-        11: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+        11: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
         14: aload_2       
-        15: invokespecial #177                // Method _getBuildableItems:(Lhudson/model/Computer;Lhudson/model/Queue$ItemList;Ljava/util/List;)V
+        15: invokespecial #177                // Method hudson/model/Queue._getBuildableItems:(Lhudson/model/Computer;Lhudson/model/Queue$ItemList;Ljava/util/List;)V
         18: aload_0       
         19: aload_1       
         20: aload_0       
-        21: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        21: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         24: aload_2       
-        25: invokespecial #177                // Method _getBuildableItems:(Lhudson/model/Computer;Lhudson/model/Queue$ItemList;Ljava/util/List;)V
+        25: invokespecial #177                // Method hudson/model/Queue._getBuildableItems:(Lhudson/model/Computer;Lhudson/model/Queue$ItemList;Ljava/util/List;)V
         28: aload_2       
         29: areturn       
-      LineNumberTable:
-        line 735: 0
-        line 736: 8
-        line 737: 18
-        line 738: 28
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      30     0  this   Lhudson/model/Queue;
@@ -2620,6 +2618,11 @@
       LocalVariableTypeTable:
         Start  Length  Slot  Name   Signature
             8      22     2 result   Ljava/util/List&lt;Lhudson/model/Queue$BuildableItem;&gt;;
+      LineNumberTable:
+        line 735: 0
+        line 736: 8
+        line 737: 18
+        line 738: 28
     Signature: #496                         // (Lhudson/model/Computer;)Ljava/util/List&lt;Lhudson/model/Queue$BuildableItem;&gt;;
 
   public synchronized java.util.List&lt;hudson.model.Queue$BuildableItem&gt; getBuildableItems();
@@ -2629,22 +2632,18 @@
          0: new           #88                 // class java/util/ArrayList
          3: dup           
          4: aload_0       
-         5: getfield      #2                  // Field buildables:Lhudson/model/Queue$ItemList;
+         5: getfield      #2                  // Field hudson/model/Queue.buildables:Lhudson/model/Queue$ItemList;
          8: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
         11: invokespecial #98                 // Method java/util/ArrayList."&lt;init&gt;":(Ljava/util/Collection;)V
         14: astore_1      
         15: aload_1       
         16: aload_0       
-        17: getfield      #11                 // Field pendings:Lhudson/model/Queue$ItemList;
+        17: getfield      #11                 // Field hudson/model/Queue.pendings:Lhudson/model/Queue$ItemList;
         20: invokevirtual #171                // Method hudson/model/Queue$ItemList.values:()Lhudson/model/Queue$ItemList;
         23: invokevirtual #180                // Method java/util/ArrayList.addAll:(Ljava/util/Collection;)Z
         26: pop           
         27: aload_1       
         28: areturn       
-      LineNumberTable:
-        line 755: 0
-        line 756: 15
-        line 757: 27
       LocalVariableTable:
         Start  Length  Slot  Name   Signature
                0      29     0  this   Lhudson/model/Queue;
@@ -2652,6 +2651,10 @@
       LocalVariableTypeTable:
         Start  Length  Slot  Name   Signature
            15      14     1     r   Ljava/util/ArrayList&lt;Lhudson/model/Queue$BuildableItem;&gt;;
+      LineNumberTable:
+        line 755: 0
+        line 756: 15
+        line 757: 27
     Signature: #505                         // ()Ljava/util/List&lt;Lhudson/model/Queue$BuildableItem;&gt;;
 
   public synchronized java.util.List&lt;hudson.model.Queue$BuildableItem&gt; getPendingItems();
